The Postal Regulatory Commission has approved the United States Postal Service’s (USPS) proposed postage rate adjustments, which will take effect on July 12, 2026. In line with these changes, our per-mailpiece pricing will be updated accordingly. Updated Pricing

Use Cases
Log In

Preview template

POST /v2/templates/{id}/preview

Returns an HTML preview for a template. Supply any data the template expects.

Path Parameters

id
string
Required
Template ID or UID.

Form Data Parameters

Template data

template_data[landing_page_url]
string
Optional
Landing page URL (rendered as text or QR depending on the template).
template_data[lot_size_type]
string
Optional
square_feet or acres.
template_data[description]
string
Optional
Listing description (commonly on back).
template_data[back_title]
string
Optional
Back title.
template_data[address]
string
Optional
Listing address (commonly on front).
template_data[label]
string
Optional
Listing label, e.g., JUST LISTED or JUST SOLD.
template_data[square_footage]
string
Optional
Square footage.
template_data[maintenance]
string
Optional
Annual maintenance cost (USD).
template_data[lot_size]
string
Optional
Lot size.
template_data[price]
string
Optional
Price (USD).
template_data[taxes]
string
Optional
Annual taxes (USD).
template_data[bathrooms]
string
Optional
Number of bathrooms (integer or half, e.g., 1, 1.5).
template_data[bedrooms]
string
Optional
Number of bedrooms (integer or half, e.g., 1, 1.5).
template_data[variables][][key]
string
Optional
Extra variable key for rendering.
template_data[variables][][value]
string
Optional
Extra variable value for rendering.

Template photos

template_data[photos]
string
Optional
The URLs of the listing photos.

Agent

agent[license_number]
string
Optional
License number.
agent[cell_phone]
string
Optional
Cell phone.
agent[first_name]
string
Optional
First name.
agent[last_name]
string
Optional
Last name.
agent[landline]
string
Optional
Landline.
agent[email]
string
Optional
Email.
agent[photo]
string
Optional
The URL of the agents photo.

Sender

sender[street_address]
string
Optional
Street address.
sender[suite]
string
Optional
Suite or unit.
sender[state]
string
Optional
State.
sender[name]
string
Optional
Name (usually the company name).
sender[city]
string
Optional
City.
sender[zip]
string
Optional
ZIP code.
sender[logo]
string
Optional
The URL of the senders logo.
curl -X POST https://www.realmailers.com/v2/templates/1/preview \
  -H 'Authorization: Bearer YOUR_API_KEY USER_EMAIL' \
  -F "template_data[label]"="JUST LISTED"
{
  front: String
  back: String
}